# RedirectFetchException (Crawler-commons 0.7 API)
Date: 2016-11-21

crawlercommons.fetcher

## Class RedirectFetchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - crawlercommons.fetcher.BaseFetchException
      - - crawlercommons.fetcher.RedirectFetchException

All Implemented Interfaces:
  Serializable

Deprecated.
As of release 0.6. We recommend directly using Apache HttpClient, async-http-client, or any other robust, industrial-strength HTTP clients.

    @Deprecated
    public class RedirectFetchException
    extends BaseFetchException

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `RedirectFetchException.RedirectExceptionReason` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`RedirectFetchException()` Deprecated.
`RedirectFetchException(String url, String redirectedUrl, RedirectFetchException.RedirectExceptionReason reason)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`RedirectFetchException.RedirectExceptionReason` `getReason()` Deprecated.
`String` `getRedirectedUrl()` Deprecated.

### Methods inherited from class crawlercommons.fetcher.BaseFetchException

`compareToBase, equals, getCause, getLocalizedMessage, getMessage, getStackTrace, getUrl, hashCode, initCause, printStackTrace, printStackTrace, printStackTrace, readBaseFields, setStackTrace, toString, writeBaseFields`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getSuppressed`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RedirectFetchException

    public RedirectFetchException()

Deprecated.

#### RedirectFetchException

    public RedirectFetchException(String url,
                                  String redirectedUrl,
                                  RedirectFetchException.RedirectExceptionReason reason)

Deprecated.

### Method Detail

#### getRedirectedUrl

    public String getRedirectedUrl()

Deprecated.

#### getReason

    public RedirectFetchException.RedirectExceptionReason getReason()

Deprecated.